SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003894SOGo Connectorwith external serverpublic2016-11-13 03:142018-03-16 14:58
ReporterpbSogo 
Assigned Toludovic 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSFedoraOS Version24
Product Version31.0.3 
Target VersionFixed in Version31.0.6 
Summary0003894: Thunderbird 45.4.0 will not proper create new remote addressbook
DescriptionUsing Thunderbird 45.4.0 on Fedora 24 (latest, all updates applied), I can't add a new remote address book properly.

New -> New Remote Address Book
 Enter name + URL -> OK

console shows:

exception getting pref 'extensions.ca.inverse.addressbook.groupdav.ldap_2.servers.RemoteTest3.url':
[Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getCharPref]" nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)" location: "JS frame :: chrome://sogo-connector/content/general/preference.service.addressbook.groupdav.js :: GdPSvc__getPref :: line 126" data: no] (126)


Verifying current Thunderbird's about:config shows that preference, but once Thunderbird is terminated and restarted, the created addressbook (here: "RemoteTest3") appears to be a local one and the preference from above created during creation is gone.
Steps To ReproduceSee above
Additional Informationhave tried also older sogo-connector versions and nighly build, all with same behavior
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0010843)
pbSogo (reporter)
2016-11-13 05:26

on a second system/client (also Thunderbird on Linux) the same error occurs during adding a new remote address book, but preference is persistent after restart, probably an improper close of Thunderbird resulted in the loss.
User avatar (0010846)
Christian Mack (developer)
2016-11-14 06:10

Which version of SOGo Connector have you installed?
(0010848)
pbSogo (reporter)
2016-11-14 13:22

SOGo connector 31.0.3, but afair also seen with 31.0.4 from nightly build
User avatar (0010853)
Christian Mack (developer)
2016-11-15 05:29

This is just a hunch, could you check, if there is a blank before or after the URL?
(0010870)
pbSogo (reporter)
2016-11-16 01:40

It's depending on the sequence and error message is related to https://sogo.nu/bugs/view.php?id=3895 [^]

1)
start thunderbird -> new remote AB -> CTRL-C -> restart thunderbird -> AB is local, SOGo settings lost

2)
start thunderbird -> new remote AB -> close thunderbird -> restart thunderbird -> AB is remote, SOGo settings kept

3)
start thunderbird -> new remote AB -> new entry in remote AB -> CTRL-C -> restart thunderbird -> AB is remote, SOGo settings kept

looks like in 1) a preference sync/commit is missing right after the creation
User avatar (0012744)
ludovic (administrator)
2018-03-16 14:58

https://github.com/inverse-inc/sogo-connector.tb31/commit/d81670417c267049b19825da29a49d3e309a4ae0 [^]

- Issue History
Date Modified Username Field Change
2016-11-13 03:14 pbSogo New Issue
2016-11-13 05:26 pbSogo Note Added: 0010843
2016-11-14 06:10 Christian Mack Note Added: 0010846
2016-11-14 13:22 pbSogo Note Added: 0010848
2016-11-15 05:29 Christian Mack Note Added: 0010853
2016-11-16 01:40 pbSogo Note Added: 0010870
2018-03-16 14:58 ludovic Note Added: 0012744
2018-03-16 14:58 ludovic Status new => resolved
2018-03-16 14:58 ludovic Fixed in Version => 31.0.6
2018-03-16 14:58 ludovic Resolution open => fixed
2018-03-16 14:58 ludovic Assigned To => ludovic


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker